## python-anndata 0.7.5+ds

=== requirements.txt ===
pandas>=1.0,!=1.1  # pandas 1.1 breaks tests, https://github.com/pandas-dev/pandas/issues/35446
numpy>=1.15
scipy~=1.0
h5py
natsort
importlib_metadata>=0.7; python_version < '3.8'
packaging

=== debian/changelog ===
python-anndata (0.7.5+ds-3) unstable; urgency=high

  * Team upload.
  * debian/patches/32bit_test_fail_skip: fix FTBFS on 32bit archs
    Closes: #982098

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Feb 2021 10:52:56 +0100

python-anndata (0.7.5+ds-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 04 Feb 2021 07:58:16 +0100

python-anndata (0.7.5+ds-1) unstable; urgency=medium

  * Initial release (Closes: #954170)

 -- Diane Trout <diane@ghic.org>  Tue, 19 Jan 2021 15:53:23 -0800

=== debian/control ===
Source: python-anndata
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Steffen Moeller <moeller@debian.org>
Section: python
Priority: optional
Build-Depends: dh-python,
               python3-setuptools,
               python3-all,
               debhelper-compat (= 13),
               python3-h5py,
               python3-importlib-metadata,
               python3-pytoml,
               python3-natsort,
               python3-numpy,
               python3-pandas,
               python3-packaging,
               python3-scipy,
               python3-setuptools-scm,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-boltons <!nocheck>,
               python3-importlib-metadata <!nocheck>,
               python3-joblib <!nocheck>,
               python3-sklearn <!nocheck>,
               python3-xlrd <!nocheck>,
               python3-zarr <!nocheck>
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/python-anndata
Vcs-Git: https://salsa.debian.org/med-team/python-anndata.git
Homepage: https://github.com/theislab/anndata
Rules-Requires-Root: no

Package: python3-anndata
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: annotated gene by sample numpy matrix
 AnnData provides a scalable way of keeping track of data together
 with learned annotations. It is used within Scanpy, for which it was
 initially developed. Both packages have been introduced in Genome
 Biology (2018).

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.8.5 at
# Mon, 11 Mar 2019 12:04:34 -0700
export PYBUILD_NAME=anndata
export PYBUILD_BEFORE_TEST=cp -R {dir}/${PYBUILD_NAME}.egg-info {build_dir}
export PYBUILD_TEST_ARGS=-v
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	-rm -fr anndata.egg-info

=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ;   echo "Testing with $py:"
 ;   $py -m pytest --pyargs anndata
 ; done
Depends: python3-all, python3-anndata,
 python3-boltons,
 python3-importlib-metadata,
 python3-matplotlib,
 python3-joblib,
 python3-pytest,
 python3-pytest-cov,
 python3-setuptools-scm,
 python3-sklearn,
 python3-xlrd,
 python3-zarr,
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=dversionmangle=auto,oversionmangle=s/$/+ds/,repack,compression=gz,uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/anndata/anndata-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-anndata 0.7.8

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python3 -msphinx
SPHINXPROJ    = Scanpy
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

clean:
	rm -r "$(BUILDDIR)"
	rm -r "generated"
	find . -name scanpy.*.rst -delete

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-anndata (0.7.8-2) unstable; urgency=medium

  * Suggest python3-openpyxl as it's required for writing Excel Files
  * Add python3-openpyxl to test dependencies

 -- Diane Trout <diane@ghic.org>  Sun, 19 Dec 2021 12:30:27 -0800

python-anndata (0.7.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #1001349, #1001020
  * Point watch file to Github
  * Drop unnecessary Files-Excluded
  * Standards-Version: 4.6.0 (routine-update)
  * Provide debian/tests/run-unit-test script
  * Remove unneeded debian/source/options
  * PYBUILD_SYSTEM=flit to deal with missing setup.py
  * Build-Depends: python3-openpyxl
  * Ignore test importing scanpy data
  * Deactivate test requiring python3-numba since this is not ported to
    Python3.10 yet
  * debian/salsa-ci.yaml: suppress build on i386 where several tests are
    failing

 -- Andreas Tille <tille@debian.org>  Fri, 10 Dec 2021 14:38:15 +0100

=== debian/control ===
--- 
+++ 
@@ -22,10 +22,12 @@
                python3-boltons <!nocheck>,
                python3-importlib-metadata <!nocheck>,
                python3-joblib <!nocheck>,
+               python3-openpyxl <!nocheck>,
                python3-sklearn <!nocheck>,
                python3-xlrd <!nocheck>,
-               python3-zarr <!nocheck>
-Standards-Version: 4.5.1
+               python3-zarr <!nocheck>,
+               flit
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-anndata
 Vcs-Git: https://salsa.debian.org/med-team/python-anndata.git
 Homepage: https://github.com/theislab/anndata
@@ -35,6 +37,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends}
+Suggests: python3-openpyxl
 Description: annotated gene by sample numpy matrix
  AnnData provides a scalable way of keeping track of data together
  with learned annotations. It is used within Scanpy, for which it was

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.8.5 at
# Mon, 11 Mar 2019 12:04:34 -0700
export PYBUILD_NAME=anndata
export PYBUILD_TEST_ARGS=-v
export PYBUILD_SYSTEM=flit

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
 python3-all,
 python3-boltons,
 python3-importlib-metadata,
 python3-matplotlib,
 python3-joblib,
 python3-openpyxl,
 python3-pytest,
 python3-pytest-cov,
 python3-setuptools-scm,
 python3-sklearn,
 python3-xlrd,
 python3-zarr
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/theislab/anndata/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## python-anndata 0.8.0

=== debian/changelog ===
python-anndata (0.8.0-4) unstable; urgency=medium

  * Team upload.
  * Source only upload to fix missing dependency.  (Closes: #1030512)

 -- Étienne Mollier <emollier@debian.org>  Sat, 04 Feb 2023 15:38:57 +0100

python-anndata (0.8.0-3) unstable; urgency=medium

  * Team upload
  * Remove unused patch
  * Test-Depends: python3-h5py
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 27 Jan 2023 19:11:18 +0100

python-anndata (0.8.0-2) unstable; urgency=medium

  * Team upload.
  * d/{control,rules}: migrate from flit to pyproject.
  * d/t/run-unit-test: test against supported pythons.
  * d/rules: cleanup test data landing in dist-packages.
  * Standards-Version: 4.6.1 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Étienne Mollier <emollier@debian.org>  Fri, 02 Dec 2022 23:44:17 +0100

python-anndata (0.8.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop pytoml build dependency (not needed).

 -- Bastian Germann <bage@debian.org>  Mon, 07 Nov 2022 19:09:27 +0100

python-anndata (0.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Add PY_IGNORE_IMPORTMISMATCH=1 to d/rules to avoid import errors
    on pybuild tests.

 -- Diane Trout <diane@ghic.org>  Wed, 30 Mar 2022 20:23:51 -0700

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
                python3-setuptools,
                python3-all,
                debhelper-compat (= 13),
+               pybuild-plugin-pyproject,
                python3-h5py,
                python3-importlib-metadata,
-               python3-pytoml,
                python3-natsort,
                python3-numpy,
                python3-pandas,
@@ -27,7 +27,7 @@
                python3-xlrd <!nocheck>,
                python3-zarr <!nocheck>,
                flit
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/python-anndata
 Vcs-Git: https://salsa.debian.org/med-team/python-anndata.git
 Homepage: https://github.com/theislab/anndata

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,11 @@
 # Mon, 11 Mar 2019 12:04:34 -0700
 export PYBUILD_NAME=anndata
 export PYBUILD_TEST_ARGS=-v
-export PYBUILD_SYSTEM=flit
+export PY_IGNORE_IMPORTMISMATCH=1
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+execute_after_dh_auto_test:
+	rm -v  $(CURDIR)/.pybuild/cpython3_*_anndata/build/test.h5ad
+	rm -vr $(CURDIR)/.pybuild/cpython3_*_anndata/build/tmp.zarr

=== debian/tests/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
  python3-all,
  python3-boltons,
  python3-importlib-metadata,
+ python3-h5py,
  python3-matplotlib,
  python3-joblib,
  python3-openpyxl,

## python-anndata 0.10.6

=== debian/changelog ===
python-anndata (0.10.6-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version (Closes: #1044072)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Set upstream metadata fields: Repository.
  * Build-Depends: python3-hatchling, python3-hatch-vcs, python3-httpx
  * Patch out the need for scanpy for documentation example

  [ Diane Trout ]
  * Add python3-distributed as a build and autopkgtest dependency
  * Add skip-awkward.patch to tell pytest to skip tests that depend on
    awkward.
  * Add skip-cupy-tests.patch to skip cupy dependent tests.
  * New upstream release 0.10.6-1
  * Refresh patches
  * Add python3-pytest-mock as test and autopkgtest dependency

 -- Diane Trout <diane@ghic.org>  Thu, 28 Mar 2024 18:36:47 -0700

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,16 @@
            Steffen Moeller <moeller@debian.org>
 Section: python
 Priority: optional
-Build-Depends: dh-python,
+Build-Depends: dh-sequence-python3,
                python3-setuptools,
                python3-all,
                debhelper-compat (= 13),
                pybuild-plugin-pyproject,
+               python3-distributed <!nocheck>,
                python3-h5py,
                python3-importlib-metadata,
+               python3-hatchling,
+               python3-hatch-vcs,
                python3-natsort,
                python3-numpy,
                python3-pandas,
@@ -19,9 +22,12 @@
                python3-setuptools-scm,
                python3-pytest <!nocheck>,
                python3-pytest-cov <!nocheck>,
+               python3-pytest-mock <!nocheck>,
+               python3-array-api-compat <!nocheck>,
                python3-boltons <!nocheck>,
                python3-importlib-metadata <!nocheck>,
                python3-joblib <!nocheck>,
+               python3-httpx <!nocheck>,
                python3-openpyxl <!nocheck>,
                python3-sklearn <!nocheck>,
                python3-xlrd <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export PY_IGNORE_IMPORTMISMATCH=1
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 execute_after_dh_auto_test:
 	rm -v  $(CURDIR)/.pybuild/cpython3_*_anndata/build/test.h5ad

=== debian/tests/control ===
--- 
+++ 
@@ -2,13 +2,17 @@
 Depends: @,
  python3-all,
  python3-boltons,
+ python3-dask,
+ python3-distributed,
  python3-importlib-metadata,
  python3-h5py,
  python3-matplotlib,
+ python3-numba,
  python3-joblib,
  python3-openpyxl,
  python3-pytest,
  python3-pytest-cov,
+ python3-pytest-mock,
  python3-setuptools-scm,
  python3-sklearn,
  python3-xlrd,

## python-anndata 0.12.0~rc1

=== docs/Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 clean:
 	rm -r "$(BUILDDIR)"
 	rm -r "generated"
-	find . -name scanpy.*.rst -delete
+	find . -name anndata.*.rst -delete
 
 # Catch-all target: route all unknown targets to Sphinx using the new
 # "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).

=== debian/changelog ===
python-anndata (0.12.0~rc1-1) unstable; urgency=medium

  * Team upload
  * Remove dependency on python3-importlib-metadata
  * Remove build dep on SetupTools, this uses Hatchling now
  * python3-awkward is now packaged, use it
  * python3-pyarrow is not yey packaged, skip it
  * It build, Closes: #1075928

  [ Diane Trout ]
  * Add DEP-3 descriptions to skip test patches

  [ Andreas Tille ]
  * New upstream release candidate now supports zarr v3
    Closes: #1100261
  * Standards-Version: 4.7.2 (routine-update)
  * Build-Depends: python3-filelock

 -- Alexandre Detiste <tchet@debian.org>  Wed, 02 Jul 2025 14:13:39 +0200

=== debian/control ===
Source: python-anndata
Section: python
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
 Diane Trout <diane@ghic.org>,
 Steffen Moeller <moeller@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 flit,
 pybuild-plugin-pyproject,
 python3-all,
 python3-array-api-compat <!nocheck>,
 python3-awkward <!nocheck>,
 python3-boltons <!nocheck>,
 python3-distributed <!nocheck>,
 python3-filelock <!nocheck>,
 python3-h5py,
 python3-hatch-vcs,
 python3-hatchling,
 python3-httpx <!nocheck>,
 python3-joblib <!nocheck>,
 python3-natsort,
 python3-numba <!nocheck>,
 python3-numpy,
 python3-openpyxl <!nocheck>,
 python3-packaging,
 python3-pandas,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-mock <!nocheck>,
 python3-pytest-xdist <!nocheck>,
 python3-scipy,
 python3-sklearn <!nocheck>,
 python3-xarray <!nocheck>,
 python3-xlrd <!nocheck>,
 python3-zarr <!nocheck>,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/python-anndata
Vcs-Git: https://salsa.debian.org/med-team/python-anndata.git
Homepage: https://github.com/theislab/anndata
Rules-Requires-Root: no
X-Style: black

Package: python3-anndata
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-openpyxl,
Description: annotated gene by sample numpy matrix
 AnnData provides a scalable way of keeping track of data together
 with learned annotations. It is used within Scanpy, for which it was
 initially developed. Both packages have been introduced in Genome
 Biology (2018).

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=anndata
export PYBUILD_TEST_ARGS=-v tests/
export PY_IGNORE_IMPORTMISMATCH=1

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_test:
	rm -fv  $(CURDIR)/.pybuild/cpython3_*_anndata/build/test.h5ad
	rm -fvr $(CURDIR)/.pybuild/cpython3_*_anndata/build/tmp.zarr

=== debian/tests/control ===
Tests:
 run-unit-test,
Depends:
 python3-all,
 python3-awkward,
 python3-boltons,
 python3-dask,
 python3-distributed,
 python3-filelock,
 python3-h5py,
 python3-joblib,
 python3-matplotlib,
 python3-numba,
 python3-openpyxl,
 python3-pytest,
 python3-pytest-cov,
 python3-pytest-mock,
 python3-pytest-xdist,
 python3-sklearn,
 python3-xarray,
 python3-xlrd,
 python3-zarr,
 quilt,
 @,
Restrictions:
 allow-stderr,

## python-anndata 0.12.6

=== debian/changelog ===
python-anndata (0.12.6-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * New upstream version 0.12.0~rc4
  * refresh patches

  [ Michael R. Crusoe ]
  * New upstream version. Closes: #1114293
  * d/rules: run the tests in parallel
  * d/control: tests/test_io_backwards_compat.py::test_no_diff needs
    h5diff from hdf5-tools.
  * d/copyright: update a path
  * Freshen patch metadata
  * Switch to autopkgtest-pkg-pybuild

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 30 Nov 2025 16:08:41 +0100

=== debian/control ===
--- 
+++ 
@@ -36,12 +36,13 @@
  python3-xarray <!nocheck>,
  python3-xlrd <!nocheck>,
  python3-zarr <!nocheck>,
+ hdf5-tools <!nocheck>,
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/python-anndata
 Vcs-Git: https://salsa.debian.org/med-team/python-anndata.git
 Homepage: https://github.com/theislab/anndata
-Rules-Requires-Root: no
 X-Style: black
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-anndata
 Architecture: all

## python-anndata 0.12.7

=== debian/changelog ===
python-anndata (0.12.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #1123524
  * Project moved on Github - fix Homepage
  * d/watch: version=5
  * debputy reformat (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 17 Dec 2025 13:39:07 +0100

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  debhelper-compat (= 13),
  dh-sequence-python3,
  flit,
+ hdf5-tools <!nocheck>,
  pybuild-plugin-pyproject,
  python3-all,
  python3-array-api-compat <!nocheck>,
@@ -36,11 +37,10 @@
  python3-xarray <!nocheck>,
  python3-xlrd <!nocheck>,
  python3-zarr <!nocheck>,
- hdf5-tools <!nocheck>,
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/python-anndata
 Vcs-Git: https://salsa.debian.org/med-team/python-anndata.git
-Homepage: https://github.com/theislab/anndata
+Homepage: https://github.com/scverse/anndata
 X-Style: black
 Testsuite: autopkgtest-pkg-pybuild

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,9 @@
 #!/usr/bin/make -f
 
+include /usr/share/dpkg/default.mk
+
 export PYBUILD_NAME=anndata
-export PYBUILD_TEST_ARGS=-v tests/
+export PYBUILD_TEST_ARGS=-v tests/ -k 'not test_dataset_2d_set_extension_array' $(DEB_BUILD_OPTION_PARALLEL:%=-n%)
 export PY_IGNORE_IMPORTMISMATCH=1
 
 %:

=== debian/watch ===
Version: 5

Template: Github
Owner: scverse
Project: anndata
